## ros-iron-rmf-api-msgs 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(rmf_api_msgs VERSION 0.1)

set(CMAKE_EXPORT_COMPILE_COMMANDS on)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(NOT CMAKE_BUILD_TYPE)
  # Use the Release build type by default if the user has not specified one
  set(CMAKE_BUILD_TYPE Release)
endif()

include(GNUInstallDirs)

find_package(ament_cmake REQUIRED)
find_package(nlohmann_json REQUIRED)

include(cmake/rmf_api_generate_schema_headers.cmake)
set(RMF_API_GENERATE_SCHEMA_TEMPLATE ${CMAKE_CURRENT_LIST_DIR}/cmake/schemas_template.hpp.in)
rmf_api_generate_schema_headers(
  PACKAGE rmf_api_msgs
  SCHEMAS_DIR ${CMAKE_CURRENT_LIST_DIR}/schemas
)

add_library(rmf_api_msgs INTERFACE)

target_include_directories(
  rmf_api_msgs
  INTERFACE
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

include(CMakePackageConfigHelpers)

set(INSTALL_CONFIG_DIR "${CMAKE_INSTALL_LIBDIR}/rmf_api_msgs/cmake")

set(PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_BINARY_DIR}/rmf_api_msgs-config.cmake")
configure_package_config_file(
  "${CMAKE_CURRENT_LIST_DIR}/cmake/rmf_api_msgs-config.cmake.in"
  ${PACKAGE_CONFIG_FILE}
  INSTALL_DESTINATION ${INSTALL_CONFIG_DIR}
)

set(PACKAGE_CONFIG_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/rmf_api_msgs-config-version.cmake")
write_basic_package_version_file(
  ${PACKAGE_CONFIG_VERSION_FILE}
  COMPATIBILITY ExactVersion
)

install(
  TARGETS rmf_api_msgs
  EXPORT rmf_api_msgs-targets
)

install(
  FILES
    ${PACKAGE_CONFIG_FILE}
    ${PACKAGE_CONFIG_VERSION_FILE}
    ${CMAKE_CURRENT_LIST_DIR}/cmake/rmf_api_generate_schema_headers.cmake
    ${CMAKE_CURRENT_LIST_DIR}/cmake/schemas_template.hpp.in
  DESTINATION ${INSTALL_CONFIG_DIR}
)

install(
  EXPORT rmf_api_msgs-targets
  FILE rmf_api_msgs-targets.cmake
  NAMESPACE rmf_api_msgs::
  DESTINATION ${INSTALL_CONFIG_DIR}
)

install(
  DIRECTORY schemas
  DESTINATION ${CMAKE_INSTALL_DATADIR}
)

# Generate python schemas mode whenever colcon is triggered
message(" Generating schema as py mods")
ADD_CUSTOM_TARGET(
  py_schemas_gen ALL
  COMMAND eval "python3 generate_py_schemas.py \
    --schemas_dir ${CMAKE_CURRENT_LIST_DIR}/schemas \
    --output_file ${CMAKE_CURRENT_LIST_DIR}/rmf_api_msgs/schemas.py"
  WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/scripts)

# Generate pydantic models according to schemas
# If datamodel-codegen not avail, then skip this proccess along with warning
find_program(PY_MODELGEN_AVAIL datamodel-codegen)
if(PY_MODELGEN_AVAIL)
  message(" Generating py models with 'datamodel-codegen'")
  ADD_CUSTOM_TARGET(
    py_models_gen ALL
    COMMAND eval "datamodel-codegen \
      --disable-timestamp \
      --input-file-type jsonschema  \
      --input ${CMAKE_CURRENT_LIST_DIR}/schemas \
      --output ${CMAKE_CURRENT_LIST_DIR}/rmf_api_msgs/models"
    WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/scripts)
else()
  message(
    WARNING "Not able to generate py models since 'datamodel-codegen' is not available")
endif()

# Install Python modules
ament_python_install_package(${PROJECT_NAME})

# # Install Python executables and share template
install(PROGRAMS
  scripts/check_sample.py
  scripts/schemas_template.jinja2
  scripts/generate_py_schemas.py
  DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-iron-rmf-api-msgs (0.1.1-1jammy) jammy; urgency=high

  * Added ``unix_millis_request_time`` and ``requester`` fields to ``task_request.json`` and ``task_state.json`` (#35 <https://github.com/open-rmf/rmf_api_msgs/pull/35>)
  * Contributors: Aaron Chong, César Rolón

 -- Grey <grey@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-iron-rmf-api-msgs (0.1.0-1jammy) jammy; urgency=high

  * Update maintainer
  * Switch to rst changelog (#36 <https://github.com/open-rmf/rmf_api_msgs/pull/36>)
  * Fix typo in title of fleet_log.json (#26 <https://github.com/open-rmf/rmf_api_msgs/pull/26>)
  * Contributors: Teo Koon Peng, Yadunund

 -- Grey <grey@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-api-msgs (0.0.1-1jammy) jammy; urgency=high

  * Introduce public web API for RMF

 -- Grey <grey@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000

=== debian/control ===
Source: ros-iron-rmf-api-msgs
Section: misc
Priority: optional
Maintainer: Grey <grey@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), nlohmann-json3-dev, python3-jinja2, python3-jsonschema, ros-iron-ament-cmake, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-api-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nlohmann-json3-dev, python3-jinja2, python3-jsonschema, ros-iron-ros-workspace
Description: RMF API msgs definition

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rmf-api-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
